
!VirtualMachine class methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/13/2012 14:42'!
vmFullPath
	self deprecated: 'use #fullPath' on:  '13 July 2012'  in: 'Pharo 2.0'.
	^ self fullPath! !

!VirtualMachine class methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/13/2012 14:42'!
vmPath
	self deprecated: 'use #path' on:  '13 July 2012'  in: 'Pharo 2.0'.
	^ self path! !

!ProgressBarMorph methodsFor: '*Deprecated20' stamp: 'SeanDeNigris 5/22/2012 15:29'!
barSize: anInteger
	self deprecated: 'use #value: instead' on: '05/14/2012' in: 'Pharo 2.0'.
	
	value := anInteger.
	self changed.! !

!CompiledMethod methodsFor: '*deprecated20' stamp: 'MarcusDenker 4/29/2012 12:02'!
getSourceFor: selector in: class
	self deprecated: 'just use #sourceCode' on: '29 April 2012' in: 'Pharo 2.0'.
	^self sourceCode.! !

!SystemProgressItemMorph methodsFor: '*Deprecated20' stamp: 'SeanDeNigris 6/20/2012 23:23'!
value: anObject

	self deprecated: 'Use SystemProgressItemMorph''s "API" protocol' on: '20 June, 2012' in: 'Pharo 2.0'.
	
	(anObject isKindOf: Number) ifTrue: [ self current: anObject ].
	((anObject isKindOf: String) and: [ anObject isSymbol not ]) ifTrue: [ ^ self label: anObject ].
	anObject = #label ifTrue: [ ^ self label ].
	anObject = #increment ifTrue: [ ^ self increment ].
	anObject = #decrement ifTrue: [ ^ self decrement ].
	anObject = #setMax ifTrue: [ ^ self error: '#setMax no longer supported. File a bug report if you want it back' ].
	anObject = #setMin ifTrue: [ ^ self error: '#setMin no longer supported. File a bug report if you want it back' ].
	anObject = #stripe ifTrue: [ ^ self error: '#stripe no longer supported. File a bug report if you want it back' ].! !

!BlockClosure methodsFor: '*deprecated20' stamp: 'MarcusDenker 7/3/2012 11:10'!
silentlyValue
	"evaluates the receiver but avoiding progress bar notifications to show up."
	self deprecated: 'dont use' on: 'Jul 2012'  in: '2.0'.
	^[ self value ] 
		on: ProgressInitiationException
		do: [ :ex | ex sendNotificationsTo: LoggingSystemProgressItemMorph new ].! !

!ThumbnailImageMorph methodsFor: '*deprecated20' stamp: 'StephaneDucasse 4/22/2012 16:39'!
yesNoStringFor: aBool
	"Answer the string to be shown in a menu to represent the  
	yes/no status"
	self deprecated: 'use an Association instead of a string concatenation 'on: '22 April 2012' in: 'Pharo20'.
	^ (aBool
		ifTrue: ['<yes>']
		ifFalse: ['<no>'])
		! !

!OSPlatform class methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/13/2012 14:32'!
osVersion
	self deprecated: 'use Smalltalk os version' on:  '13 July 2012'  in: 'Pharo 2.0'.
	^ self version! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/17/2012 16:33'!
documentPath
	"Answer the absolute path of the document passed to the vm or nil if none."
	self deprecated: 'use Smalltalk vm documentPath' on:  '13 July 2012'  in: 'Pharo 2.0'.
	
	^self vm documentPath! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/17/2012 16:32'!
hasDisplay
	self deprecated: 'use isHeadless' on:  '13 July 2012'  in: 'Pharo 2.0'.
	^ self isHeadless not! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/17/2012 16:32'!
isTrunk
	self deprecated: 'unused' on:  '13 July 2012'  in: 'Pharo 2.0'.

	^ (self version allButFirst: 5) anySatisfy: [ :char | char isLetter ]! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/13/2012 14:33'!
osVersion
	"Return the operating system version"
	self deprecated: 'use Smalltalk os version' on:  '13 July 2012'  in: 'Pharo 2.0'.

	^self os version! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/17/2012 16:31'!
platformName
	"Return the name of the platform we're running on"
	self deprecated: 'use Smalltalk os platformName' on:  '17 July 2012'  in: 'Pharo 2.0'.

	^ self platform name! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/17/2012 16:31'!
platformSubtype
	"Return the subType of the platform we're running on"
	"Smalltalk platformSubtype"
	self deprecated: 'use Smalltalk os platformSubtype' on:  '17 July 2012'  in: 'Pharo 2.0'.

	^ self platform subtype! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/13/2012 14:34'!
primVmPath
	"Answer the path for the directory containing the Smalltalk virtual machine. Return the empty string if this primitive is not implemented."
	"Smalltalk vmPath"
	<primitive: 142>

	self deprecated: 'use Smalltalk vm vmPath' on:  '13 July 2012'  in: 'Pharo 2.0'.


	^ ''! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/13/2012 14:34'!
vmFullPath
	"Return the full vm path as a string"
	
	self deprecated: 'use Smalltalk vm fullPath' on:  '13 July 2012'  in: 'Pharo 2.0'.

	^self vm fullPath! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/17/2012 16:31'!
vmParameterAt: parameterIndex

	self deprecated: 'use Smalltalk vm parameterAt:' on:  '13 July 2012'  in: 'Pharo 2.0'.
	
	^ self vm parameterAt: parameterIndex! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/13/2012 14:36'!
vmParameterAt: parameterIndex put: newValue
	self deprecated: 'use Smalltalk vm parameterAt:put:' on:  '13 July 2012'  in: 'Pharo 2.0'.
	
	^ self vm parameterAt: parameterIndex put: newValue! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/13/2012 14:39'!
vmPath
	self deprecated: 'use Smalltalk vm path' on:  '13 July 2012'  in: 'Pharo 2.0'.

	^ self vm path
! !

!SmalltalkImage methodsFor: '*Deprecated20' stamp: 'MarcusDenker 7/13/2012 14:40'!
windowSystemName			
	"Return the name of the window system currently being used for display."
	self deprecated: 'use Smalltalk os windowSystemName' on:  '13 July 2012'  in: 'Pharo 2.0'.

	^ self os windowSystemName! !

!SystemProgressMorph methodsFor: '*Deprecated20' stamp: 'SeanDeNigris 5/24/2012 18:32'!
labelAt: aSystemProgressItemMorph put: aString
	"Change the label for the given progressBlock to aString."
	self deprecated: 'Send #label: directly to the progress item itself' on: '22 May 2012' in: 'Pharo 2.0'.
	
	aSystemProgressItemMorph label: aString.
	self recenter.! !

!SystemProgressMorph methodsFor: '*Deprecated20' stamp: 'SeanDeNigris 5/23/2012 01:23'!
setLabel: shortDescription at: slot
	self deprecated: 'Use #label: directly on progress items instead' on: '22 May 2012' in: 'Pharo 2.0'.

	"There is no way to implement this in the new SystemProgressMorph. It doesn't make any sense because the items are not indexed"! !

!SystemProgressMorph methodsFor: '*Deprecated20' stamp: 'SeanDeNigris 5/22/2012 12:33'!
updateColor: aMorph color: aColor intensity: anInteger 
	"update the apareance of aMorph"
	
	| fill |
	self deprecated: 'No senders in image' on: '22 May 2012' in: 'Pharo 2.0'.

	self theme preferGradientFill ifFalse: [^ self].
	fill := GradientFillStyle ramp: {0.0 -> Color white. 1 ->aColor}.
	fill radial: false;
		origin: aMorph topLeft;
		direction: 0 @ aMorph height.
	aMorph fillStyle: fill! !

!Object methodsFor: '*deprecated20' stamp: 'MarcusDenker 5/12/2012 01:11'!
flash
	self deprecated: 'only makes sense on Morph' on:  '12 May 2012'   in: 'Pharo 2.0' 
	"Do nothing."
! !
